<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>benchme-3: Benchme-tris &lt;/br&gt;</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">benchme-3
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Benchme-tris  </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h1><a class="anchor" id="autotoc_md1"></a>
Algo de Tries &lt;/br&gt;</h1>
<p>#Description :  Ce projet consiste a avoir différent algorithme de tries : trie  à bulle, par insertion, selection et par pas.Et, pour chaque algorithme  on aura le temps d'exécution ainsi que les résultat stocké dans un fichier CSV  ainsi qu'un documentation technique générée. </p>
<p>#Usage </p>
<p><b>tri_insertion</b>  C'est une focntion qui est un algorithme qui insère un élément dans une liste d'éléments déjà triés. C'est la methode  de trie la plus efficace pour des petites listes d'élements à trier ou que les éléments sont presque déjà trié. </p>
<p><b>tri à bulle</b>  C'est une fonction qui est un algorithme qui consiste à faire remonter progressivement les plus grands éléments d'un tableau  Sa complexité est de l'ordre de n² en moyenne (où n est la taille du tableau), ce qui le classe parmi les  mauvais algorithmes de tri. </p>
<p><b>tri à selection</b>  C'est une fonction qui est un algorithme de tri par comparaison. Il est particulièrement simple, mais inefficace sur de  grandes entrées,car il s'exécute en temps quadratique en le nombre d'éléments à trier. </p>
<p><b>tri à pas</b>  C'est un fonction qui est un algorithme qui utilise une structure de données temporaire dénommée "tas" comme mémoire de  travail. C'est une variante de méthode de tri par sélection où l'on parcourt le tableau des éléments en sélectionnant et  conservant les minimas successifs (plus petits éléments partiels) dans un arbre parfait partiellement ordonné.  (Un arbre ici, est un type de graphe).</p>
<h1><a class="anchor" id="autotoc_md2"></a>
Résultat &lt;/br&gt;</h1>
<p><b>Pour le trie à insertion :</b> Triage réussi pour des tableau de float de manière rapide pour peu de nombre et le temps va augmenter  pour réaliser le triage si il ya beaucoup de données à triées.C'est la plus rapide pour les petite donnée.</p>
<p><b>Pour le tri à bulle :</b> Triage réussi pour des tableau de float de manière rapide pour peu de nombre et le temps va augmenter  pour réaliser le triage si il ya beaucoup de données à triées. </p>
<p><b>Pour le tri à selection :</b> Triage réussi pour des tableau de float de manière rapide pour peu de nombre et le temps va augmenter  pour réaliser le triage si il ya beaucoup de données à triées. </p>
<p><b>Pour le tri par tas:</b> En attente </p>
<p>#Evolution à venir</p>
<p>Finition de l'algorithme par tas </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
